Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 760153 - sci-libs/lapack-3.9.0 fails to build with existing ninja versions
Summary: sci-libs/lapack-3.9.0 fails to build with existing ninja versions
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-16 10:21 UTC by Patrick Lauer
Modified: 2021-01-29 16:40 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Lauer gentoo-dev 2020-12-16 10:21:07 UTC
>>> Configuring source in /var/tmp/portage/sci-libs/lapack-3.9.0/work/lapack-3.9.0 ...
 * Working in BUILD_DIR: "/var/tmp/portage/sci-libs/lapack-3.9.0/work/lapack-3.9.0_build"
cmake -C /var/tmp/portage/sci-libs/lapack-3.9.0/work/lapack-3.9.0_build/gentoo_common_config.cmake -G Ninja -DCMAKE_INSTALL_PREFIX=/usr -DCBLAS=ON -DLAPACKE=no -DBUILD_SHARED_LIBS=ON -DBUILD_TESTING=ON -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_TOOLCHAIN_FILE=/var/tmp/portage/sci-libs/lapack-3.9.0/work/lapack-3.9.0_build/gentoo_toolchain.cmake  /var/tmp/portage/sci-libs/lapack-3.9.0/work/lapack-3.9.0
loading initial cache file /var/tmp/portage/sci-libs/lapack-3.9.0/work/lapack-3.9.0_build/gentoo_common_config.cmake
CMake Error at CMakeLists.txt:3 (project):
  The Ninja generator does not support Fortran using Ninja version

    1.10.2

  due to lack of required features.  Kitware has implemented the required
  features but as of this version of CMake they have not been integrated to
  upstream ninja.  Pending integration, Kitware maintains a branch at:

    https://github.com/Kitware/ninja/tree/features-for-fortran#readme

  with the required features.  One may build ninja from that branch to get
  support for Fortran.


-- Configuring incomplete, errors occurred!
See also "/var/tmp/portage/sci-libs/lapack-3.9.0/work/lapack-3.9.0_build/CMakeFiles/CMakeOutput.log".
 * ERROR: sci-libs/lapack-3.9.0::gentoo failed (configure phase):
 *   cmake failed


Portage 2.3.84 (python 3.6.10-final-0, default/linux/amd64/17.0/no-multilib, gcc-9.2.0, glibc-2.32-r3, 5.4.5-gentoo x86_64)
=================================================================
System uname: Linux-5.4.5-gentoo-x86_64-Intel-R-_Xeon-R-_Silver_4210_CPU_@_2.20GHz-with-gentoo-2.7
KiB Mem:   196697364 total,  18403112 free
KiB Swap:   19529720 total,  19527152 free
Timestamp of repository gentoo: Wed, 16 Dec 2020 06:00:01 +0000
Head commit of repository gentoo: 95c12de526a02edbada6b57dd17225480fa1575d
Head commit of repository adjust: 919769d6a8a70e89e87e38b9660954ab20b508d4

sh bash 5.0_p18
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
app-shells/bash:          5.0_p18::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          3.6.10-r1::gentoo, 3.7.9::gentoo, 3.8.6::gentoo
dev-util/cmake:           3.14.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.69-r5::gentoo
sys-devel/automake:       1.16.2-r1::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo
sys-devel/gcc:            9.2.0-r2::gentoo, 9.3.0-r1::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://10.0.0.1/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts:
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: no

adjust
    location: /var/lib/layman/adjust
    sync-type: git
    sync-uri: https://github.com/adjust/gentoo-overlay.git
    masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -march=haswell"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -ggdb -march=haswell"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles getbinpkg ipc-sandbox merge-sync multilib-strict network-sandbox parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.netcologne.de/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j20"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cli crypt dri fortran gdbm git iconv iproute2 ipv6 libglvnd libtirpc ncurses nls nptl openmp pam pcre perl python readline seccomp split-usr ssl tcpd unicode vim-syntax xattr zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 avx512f avx512dq avx512cd avx512bw avx512vl f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2 php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python3_8" RUBY_TARGETS="ruby25 ruby26" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Aisha Tammy 2020-12-16 13:29:27 UTC
Could you tell what ninja and cmake versions you have?

The message sounds like its a Ninja/Cmake issue, not specifically related to lapack.
Comment 2 Aisha Tammy 2020-12-16 13:30:23 UTC
Whoops, should have looked more., they are there in your message, my bad :P
Comment 3 Aisha Tammy 2020-12-16 13:33:05 UTC
The issue seems to be fixed in the newer versions of Cmake.
I have been able to build sci-libs/lapack-3.9.0 with cmake 3.19.1 and ninja 1.10.2.
Comment 4 Benda Xu gentoo-dev 2020-12-27 02:04:53 UTC
Let's just use make.
Comment 5 Sam James archtester gentoo-dev Security 2020-12-27 23:09:33 UTC
Can you upgrade cmake?
Comment 6 Stefan00 2021-01-29 16:40:16 UTC
For those having the same problem (as I did, additionally could not easily upgrade cmake):

CMAKE_MAKEFILE_GENERATOR="emake" emerge -1 lapack

did it for now after upgrading ninja.

Thank you for your help, iamben (via #gentoo on irc)!